#include "cyc_cnt.h"
#include "lcd.h"
#include "leds.h"

const int myconst = 0x12345678;

int myvar = 0x11223344;

volatile int data[100];

void delay(void)
{
  cyc_cnt_delay_ms(200);
}

int main()
{
  unsigned int i;

  for (i = 0; i < sizeof(data) / sizeof(data[0]); ++i)
    data[i] = i;

  lcd_init();

  while (1) {
    for (i = 0x1; i < 0x80; i <<= 1) {
      leds_set_state(i);
      delay();
    }
    for (i = 0x80; i > 0x1; i >>= 1) {
      leds_set_state(i);
      delay();
    }
  }

  return 0;
}

